<!DOCTYPE html>
<html lang="en">
  <head>
      <link href ='https://fonts.googleapis.com/css?family=Didact Gothic' rel='stylesheet'>
    <meta name="viewport" content="width=device-width, initial-scale=2">
    </head>

<!-- /*style benchmarking from geeksforgeeks -->
<style>
    body {
      text-align:center;
      margin: 0;
      font-family: 'Didact Gothic';font-size: 17px;
    }
    
    /* 
agar ada pemisah antara form */
    form{
      display:inline-block;
    }
    
    /* memicu konteks format blok baru untuk cegah navbar runtuh krn melayang */
    .topnav {
      overflow: hidden;
      background-color: #BEFFDA;
    }
    
    /* 
biar terbagi lists cards forms */
    .topnav a {
      float: center;
      color: #18241D;
      text-align: center;
      padding: 5px 50px;
      text-decoration:none;
      font-size: 17px;
    }
    
    /* warna hover */
    .topnav a:hover {
      background-color: #DBFFFF;
      color: black;
    }
    
    </style>
    </head>

    <!-- isi kartu -->
    <style>

        .card {
          box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
          text-align:center;
          padding: 20px;
          margin-bottom: 10px;
          font-family: 'Didact Gothic';
          font-size: 17px;
          width: 40%;
          border-radius: 5px;
          background-image: url("https://image.freepik.com/free-photo/white-paper-texture_1194-5416.jpg");
        }

        /* menjelaskan ukuran dari grid columnnya card */
        .card-holder{
            grid-template-columns: 1fr 6fr 1fr;
        }
        
        /* hover akan menunjukan shadow */
        .card:hover {
          box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        }
        
        /* ukuran imagenya */
        img {
          border-radius: 5px 5px 0 0;
        }

        /* judul di underline */
        h2{
            text-decoration: underline;
            font-size: 20px;
        }
        
        /* tengahin containernya */
        .container {
            display:flex ;
            justify-content: center;
            
            padding: 2px 16px;
        }
        </style>
        
    
    <header>
    <nav class="topnav">
        <div>
        <h1>Notes</h1>
          <a href="/lab-4">Lists</a>
          <a href="note_list">Cards</a>
          <a href="add_note">Forms</a>
        </ul>
      </div>
    </nav>
    </header>
    
<body>
    <h1>THE CARDS OF THE NOTES</h1>
    <br>
    {% for i in note %}
    <card>
        <div class="container">
            <div class = "card">
 
                        
                        <p> To: {{i.To}}<br>
                            From: {{i.From}}<br></p>
                            <h2> {{i.Title}}</h2>
                            <p>Message: {{i.Message}}</p>

        </div>
    </div>

    </card>
        {% endfor %}
</body>
</html>